import pytest
from orchestrator.types import SubscriptionLifecycle

from gso.products import EdgePort, ProductName
from test.workflows import assert_complete, run_workflow


@pytest.mark.workflow()
def test_import_edge_port_success(edge_port_subscription_factory):
    imported_edge_port = edge_port_subscription_factory(is_imported=False)
    result, _, _ = run_workflow("import_edge_port", [{"subscription_id": imported_edge_port}])
    subscription = EdgePort.from_subscription(imported_edge_port)

    assert_complete(result)
    assert subscription.product.name == ProductName.EDGE_PORT
    assert subscription.status == SubscriptionLifecycle.ACTIVE
    assert subscription.insync
