import pytest
from orchestrator.types import SubscriptionLifecycle

from gso.products import ProductName
from gso.products.product_types.opengear import Opengear
from test.workflows import assert_complete, run_workflow


@pytest.mark.workflow()
def test_import_office_router_success(opengear_subscription_factory):
    imported_opengear = opengear_subscription_factory(is_imported=False)
    result, _, _ = run_workflow("import_opengear", [{"subscription_id": imported_opengear}])
    subscription = Opengear.from_subscription(imported_opengear)

    assert_complete(result)
    assert subscription.product.name == ProductName.OPENGEAR
    assert subscription.status == SubscriptionLifecycle.ACTIVE
    assert subscription.insync
